sensorfw: GyroscopeSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
GyroscopeSensorChannel Class Reference

`#include <gyroscopesensor.h>`

Inheritance diagram for GyroscopeSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const XYZ &data)

## Public Member Functions
XYZ | get () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for GyroscopeSensorChannel. More...

## Protected Member Functions
| GyroscopeSensorChannel (const QString &id)
| ~GyroscopeSensorChannel ()

## Properties
XYZ | value

## Detailed Description

Definition at line 43 of file gyroscopesensor.h.

## Constructor & Destructor Documentation

## ◆ GyroscopeSensorChannel()

GyroscopeSensorChannel::GyroscopeSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~GyroscopeSensorChannel()

GyroscopeSensorChannel::~GyroscopeSensorChannel | ( |  | ) |
| protected

## Member Function Documentation

## ◆ dataAvailable

void GyroscopeSensorChannel::dataAvailable | ( | const XYZ & | data | ) |
| signal

## ◆ factoryMethod()

static AbstractSensorChannel * GyroscopeSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for GyroscopeSensorChannel.

Returns
  new GyroscopeSensorChannel as AbstractSensorChannel*.

Definition at line 55 of file gyroscopesensor.h.

## ◆ get()

XYZ GyroscopeSensorChannel::get | ( |  | ) | const
| inline

Definition at line 63 of file gyroscopesensor.h.

## ◆ start

bool GyroscopeSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool GyroscopeSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ value

XYZ GyroscopeSensorChannel::value
| read

Definition at line 1 of file gyroscopesensor.h.

The documentation for this class was generated from the following file:

- sensors/gyroscopesensor/gyroscopesensor.h